<?php
saxue_includedb();
class saxuetimthumb extends saxueobjectdata {
		function saxuetimthumb() {
				$this -> initvar( "tid", SAXUE_TYPE_INT, 0, "方案序号", false, 4 );
				$this -> initvar( "tname", SAXUE_TYPE_TXTBOX, "", "方案标识", false, 20 );
				$this -> initvar( "status", SAXUE_TYPE_INT, 1, "方案是否启用", false, 1 );
				$this -> initvar( "intro", SAXUE_TYPE_TXTBOX, "", "方案说明", false, 100 );
				$this -> initvar( "width", SAXUE_TYPE_INT, 0, "缩略图宽度", false, 4 );
				$this -> initvar( "height", SAXUE_TYPE_INT, 0, "缩略图高度", false, 4 );
				$this -> initvar( "quality", SAXUE_TYPE_INT, 90, "缩略图质量", false, 2 );
				$this -> initvar( "zoomcrop", SAXUE_TYPE_INT, 1, "缩放模式", false, 1 );
				$this -> initvar( "cutpos", SAXUE_TYPE_TXTBOX, "c", "裁剪位置", false, 2 );
				$this -> initvar( "pngtrans", SAXUE_TYPE_INT, 1, "PNG是否透明", false, 1 );
				$this -> initvar( "bgcolor", SAXUE_TYPE_TXTBOX, "", "背景色", false, 7 );
		} 
} 

class saxuetimthumbhandler extends saxueobjecthandler {
		function saxuetimthumbhandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "timthumb";
				$this -> autoid = "tid";
				$this -> dbname = "timthumb";
		} 
}